summaryrefslogtreecommitdiffstats
path: root/Kübelwagen/playmobil
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-12-30 17:38:02 +0100
committermakefu <github@syntax-fehler.de>2013-12-30 17:38:02 +0100
commitee33c348658a12a4e54281dc34eaca8639e247f8 (patch)
tree142ea8052af9e75886b6c71979eed302885ab22a /Kübelwagen/playmobil
parentefef353ef2bf65ef6123fc699bce6c69fc37cfcc (diff)
parent11de3d6d4c62f7059cdb45992d7d0fec05dde0e4 (diff)
Merge branch 'master' of ssh://github.com/krebscode/painload
Diffstat (limited to 'Kübelwagen/playmobil')
-rwxr-xr-xKübelwagen/playmobil12
1 files changed, 12 insertions, 0 deletions
diff --git a/Kübelwagen/playmobil b/Kübelwagen/playmobil
new file mode 100755
index 00000000..51ed70d6
--- /dev/null
+++ b/Kübelwagen/playmobil
@@ -0,0 +1,12 @@
+#! /bin/sh
+file=`mktemp`
+trap "rm -f $file" EXIT INT TERM
+
+gcc -xc -lm -o $file - <<EOF
+#include<math.h>
+main(t) {
+ for (t=${2-0};;++t) putchar($1);
+}
+EOF
+
+$file | aplay